#pragma once
#include "glm/glm.hpp"
#include "graphics/Shader.h"
#include "Platform/Window.h"
#include "graphics/Texture.h"
#include "graphics/Primitives/Camera.h"
#include "graphics/Renderable.h"
#include "Graphics/Renderer.h"
#include "Graphics/Primitives/Material.h"

#include "spdlog/spdlog.h"

#include "Input/InputManager.h"
#include "Graphics/Renderer.h"
#include "GUI/GUIManager.h"
#include "Scene.h"
#include "PerfCounter.h"


extern BarinkEngine::Renderer renderer;
extern void Start();
extern void Update();
extern void ImmediateGraphicsDraw();
extern void Stop();
